Fix T41974: blender ships vulnerable minilzo version
authorKévin Dietrich <kevin.dietrich@mailoo.org>
Sat, 27 Sep 2014 19:05:36 +0000 (01:05 +0600)
committerSergey Sharybin <sergey.vfx@gmail.com>
Sat, 27 Sep 2014 19:35:12 +0000 (01:35 +0600)
commite1afaa02bfa88bc03296ae5a424b1a4274b0fe11
tree3d66542789add26b40dcbe65448cee1cbeace052
parent8e4fdba19c7e091a3e8fdf42bbed79413e5b1af9
Fix T41974: blender ships vulnerable minilzo version

Update lzo library due to security issue

Update lzo to latest version. This fixes a security issue (reported in T41974)

This also fixes some (false-positive) valgrind warnings.

Reviewers: sergey

Differential Revision: https://developer.blender.org/D803
extern/lzo/minilzo/README.LZO
extern/lzo/minilzo/lzoconf.h
extern/lzo/minilzo/lzodefs.h
extern/lzo/minilzo/minilzo.c
extern/lzo/minilzo/minilzo.h
source/blender/blenkernel/intern/pointcache.c